Subject: Re: bug#39546: 28.0.50; Do not require subr-x at run time

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 Feb 2020 14:41:31 +0100

Tino Calancha <[email-masked]> writes:

> -;;;###autoload
>  (defmacro when-let (spec &rest body)
>    "Bind variables according to SPEC and conditionally evaluate BODY.

Sorry; I haven't been following this thread closely, but I don't think
this is a good idea.  It means putting

+(eval-when-compile (require 'subr-x))

in more and more files, for no particularly good reason that I can see?

What's the reason for removing this autoload?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no